%global mver   4.2.2
%global oname  gle-graphics

Summary:       Graphics Layout Engine
Name:          gle
Version:       4.2.2
Release:       7%{?dist}
License:       GPLv2+
Group:         Applications/Multimedia
URL:           http://www.gle-graphics.org/
Source0:       http://downloads.sourceforge.net/glx/gle-graphics-%{version}-src.tar.gz
Source1:       http://downloads.sourceforge.net/glx/gle-manual-%{mver}.pdf
Source2:       http://downloads.sourceforge.net/glx/GLEusersguide.pdf
Patch0:        %{name}-4.2.2-64bit.patch
BuildRequires: libstdc++-devel >= 3.0
BuildRequires: libpng-devel libtiff-devel libjpeg-devel 
BuildRequires: ncurses-devel zlib-devel xorg-x11-proto-devel
BuildRequires: qt4-devel >= 4.1.1 cairo-devel
BuildRequires: dos2unix
Requires:      ghostscript
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
GLE (Graphics Layout Engine) is a high-quality graphics package for
scientists, combining a user-friendly scripting language with a full
range of facilities for producing publication-quality graphs, diagrams,
posters and slides. GLE provides LaTeX quality fonts together with a
flexible graphics module which allows the user to specify any feature of
a graph. Complex pictures can be drawn with user-defined subroutines and
simple looping structures. Current output formats include EPS, PS, PDF,
JPEG, and PNG.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1 -b .64bit
%{__install} -p -m 0644 %{SOURCE1} .
%{__install} -p -m 0644 %{SOURCE2} .

%build
export CPPFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
%configure --with-qt=%{_libdir}/qt4 --with-x --with-rpath=no --with-debug=yes CPPFLAGS="%{optflags}" CXXFLAGS="%{optflags}"
%{__make}
# %{?_smp_mflags} build fails.

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

# Some fixes
dos2unix LICENSE.txt
%{__rm} -f %{buildroot}%{_libdir}/pkgconfig/gle-graphics.pc

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc README.txt LICENSE.txt src/gui/readme.txt 
%doc gle-manual-%{mver}.pdf GLEusersguide.pdf
%{_bindir}/%{name}
%{_bindir}/q%{name}
%{_bindir}/manip
%{_datadir}/%{oname}
%{_mandir}/man1/%{name}*
%{_libdir}/lib%{oname}-%{version}.so

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Oct  1 2010 Dan Horák <dan[at]danny.cz> - 4.2.2-6
- 64-bit fixes

* Wed Sep  7 2010 Terje Rosten <terje.rosten@ntnu.no> - 4.2.2-3
* Be more explicit about qt devel buildreq
 
* Thu Feb 11 2010 Terje Rosten <terjeros@phys.ntnu.no> - 4.2.2-2
- Fix typo

* Thu Feb 11 2010 Terje Rosten <terjeros@phys.ntnu.no> - 4.2.2-1
- 4.2.2

* Sun Dec  6 2009 Terje Rosten <terjeros@phys.ntnu.no> - 4.2.1-1
- 4.2.1

* Fri Jul 31 2009 Terje Rosten <terjeros@phys.ntnu.no> - 4.2.0-4
- Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 19 2009 Terje Rosten <terjeros@phys.ntnu.no> - 4.2.0-2
- Build with cairo support 
- Use correct optflags

* Tue May 19 2009 Terje Rosten <terjeros@phys.ntnu.no> - 4.2.0-1
- 4.2.0
- Drop gcc43 patch now upstream
- Add more documentation

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb  7 2009 Terje Rosten <terjeros@phys.ntnu.no> - 4.1.2-2
- Add patch to compile with gcc-4.4

* Sun Mar  2 2008 Terje Rosten <terjeros@phys.ntnu.no> - 4.1.2-1
- 4.1.2
- Update pdf documentation
- Drop patch now upstream

* Sun Feb 10 2008 Terje Rosten <terjeros@phys.ntnu.no> - 4.1.1-4
- Add patch to build with gcc-4.3

* Sat Feb  9 2008 Terje Rosten <terjeros@phys.ntnu.no> - 4.1.1-3
- rebuild

* Sat Jan  5 2008 Terje Rosten <terjeros@phys.ntnu.no> - 4.1.1-2
- Drop libs and devel packages
- Don't ship pc file

* Sat Jan  5 2008 Terje Rosten <terjeros@phys.ntnu.no> - 4.1.1-1
- 4.1.1 proper

* Thu Jan  3 2008 Terje Rosten <terjeros@phys.ntnu.no> - 4.1.1-0.1.S010308
- Update to 4.1.1-S010308 (4.1.0 + some gcc 4.3 and 64 bits fixes)
- Random spec clean ups
- Add man page, lib and pc file.
- Create libs and devel subpackage
- Add rpath flag to configure

* Sun Aug 19 2007 Terje Rosten <terjeros@phys.ntnu.no> - 4.0.12a-2
- Fix license tag

* Wed Mar 13 2007 Terje Rosten <terjeros@phys.ntnu.no> - 4.0.12a-1
- New src upstream, lots of fixes
- Dropped subpackage: see updated LICENSE.txt
- Add ghostscript to req
- Add PDF doc

* Mon Mar 12 2007 Terje Rosten <terjeros@phys.ntnu.no> - 4.0.12-4
- Try to fix X11 preview support
- Drop preserve timestamps patch

* Mon Mar 12 2007 Terje Rosten <terjeros@phys.ntnu.no> - 4.0.12-3
- Subpackage: gui (different license on gui)
- Fix perms on src files (for debug pkg)
- Fix src url
- Fix LICENSE.txt
- Preserve timestamps
- More info: bz #229676

* Tue Feb 22 2007 Terje Rosten <terjeros@phys.ntnu.no> - 4.0.12-2
- Spec cleanup
- Build and ship qgle
- Add patch to avoid stripping

* Sun Oct 15 2006 Jonas Frantz <jonas.frantz@welho.com> - 4.0.12-1
- Updated to release 4.0.12.

* Sat Apr 08 2006 Dries Verachtert <dries@ulyssis.org> - 4.0.11-2.2
- Rebuild for Fedora Core 5.

* Sat Dec 17 2005 Dries Verachtert <dries@ulyssis.org> - 4.0.11-1
- Updated to release 4.0.11.

* Sat Nov 19 2005 Jonas Frantz <jonas.frantz@welho.com> - 4.0.10-2
- Fix problem with making inittex.ini

* Mon Nov 08 2005 Dries Verachtert <dries@ulyssis.org> - 4.0.10-1
- Initial package.
